Summary:        TCP stream sniffer, tracker and capturer
Name:           tcpick
Version:        0.2.1
Release:    1%{?dist}
License:        GPL-2.0-or-later AND BSD-3-Clause AND LGPL-2.1-or-later
URL:            http://tcpick.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         tcpick-0.2.1-CVE-2006-0048.patch
Patch1:         tcpick-0.2.1-ppc.patch
Patch2:         tcpick-0.2.1-pointers.patch
Patch3:         tcpick-0.2.1-cpu-loop.patch
Patch4:         tcpick-0.2.1-timezone.patch
Patch5:         tcpick-0.2.1-gcc5.patch
Patch6:         tcpick-0.2.1-gcc10.patch
BuildRequires:  gcc, make, libpcap-devel

%description
tcpick is a textmode sniffer that can track tcp streams and saves 
the data captured in files or displays them in the terminal. Useful 
for picking files in a passive way.

It can store all connections in different files, or it can display
all the stream on the terminal. It is useful to keep track of what
users of a network are doing, and is usable with textmode tools
like grep, sed and awk. It can handle eth and ppp interfaces.

%prep
%setup -q
%patch0 -p1 -b .CVE-2006-0048
%patch1 -p1 -b .ppc
%patch2 -p1 -b .pointers
%patch3 -p1 -b .cpu-loop
%patch4 -p1 -b .timezone
%patch5 -p1 -b .gcc5
%patch6 -p1

%build
%set_build_flags
CC="$CC -std=gnu89"
%configure --bindir=%{_sbindir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/it/man8
mv -f %{buildroot}%{_mandir}/man8/tcpick_italian.8 %{buildroot}%{_mandir}/it/man8/tcpick.8

iconv -f iso-8859-1 -t utf-8 -o AUTHORS.utf8 AUTHORS
touch -c -r AUTHORS AUTHORS.utf8; mv -f AUTHORS.utf8 AUTHORS

%files 
%license COPYING
%doc AUTHORS ChangeLog EXAMPLES KNOWN-BUGS README THANKS
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/it/man8/%{name}.8*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.1-1
- initial build
